TimedOutException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class TimedOutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.cassandra.thrift.TimedOutException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TimedOutException>, org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>

      public class TimedOutException
      extends org.apache.thrift.TException
      implements org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TimedOutException>

  RPC timeout was exceeded. either a node failed mid-operation, or load was too high, or the requested op was too large.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimedOutException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `acknowledged_by` if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here.
    `boolean` | `acknowledged_by_batchlog` in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.
    `static java.util.Map<TimedOutException._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `paxos_in_progress` for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimedOutException()`
    `TimedOutException(TimedOutException other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TimedOutException other)`
    `TimedOutException` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TimedOutException that)`
    `TimedOutException._Fields` | `fieldForId(int fieldId)`
    `int` | `getAcknowledged_by()` if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here.
    `java.lang.Object` | `getFieldValue(TimedOutException._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isAcknowledged_by_batchlog()` in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.
    `boolean` | `isPaxos_in_progress()` for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update
    `boolean` | `isSet(TimedOutException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAcknowledged_by_batchlog()` Returns true if field acknowledged_by_batchlog is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAcknowledged_by()` Returns true if field acknowledged_by is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPaxos_in_progress()` Returns true if field paxos_in_progress is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TimedOutException` | `setAcknowledged_by_batchlog(boolean acknowledged_by_batchlog)` in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.
    `void` | `setAcknowledged_by_batchlogIsSet(boolean value)`
    `TimedOutException` | `setAcknowledged_by(int acknowledged_by)` if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here.
    `void` | `setAcknowledged_byIsSet(boolean value)`
    `void` | `setFieldValue(TimedOutException._Fields field, java.lang.Object value)`
    `TimedOutException` | `setPaxos_in_progress(boolean paxos_in_progress)` for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update
    `void` | `setPaxos_in_progressIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetAcknowledged_by_batchlog()`
    `void` | `unsetAcknowledged_by()`
    `void` | `unsetPaxos_in_progress()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### acknowledged_by

          public int acknowledged_by

      if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here. In case of atomic_batch_mutate method this field will be set to -1 if the batch was written to the batchlog and to 0 if it wasn't.

    - #### acknowledged_by_batchlog

          public boolean acknowledged_by_batchlog

      in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.

    - #### paxos_in_progress

          public boolean paxos_in_progress

      for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

    - #### metaDataMap

          public static final java.util.Map<TimedOutException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TimedOutException

          public TimedOutException()

    - #### TimedOutException

          public TimedOutException(TimedOutException other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TimedOutException deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### getAcknowledged_by

          public int getAcknowledged_by()

      if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here. In case of atomic_batch_mutate method this field will be set to -1 if the batch was written to the batchlog and to 0 if it wasn't.

    - #### setAcknowledged_by

          public TimedOutException setAcknowledged_by(int acknowledged_by)

      if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here. In case of atomic_batch_mutate method this field will be set to -1 if the batch was written to the batchlog and to 0 if it wasn't.

    - #### unsetAcknowledged_by

          public void unsetAcknowledged_by()

    - #### isSetAcknowledged_by

          public boolean isSetAcknowledged_by()

      Returns true if field acknowledged_by is set (has been assigned a value) and false otherwise

    - #### setAcknowledged_byIsSet

          public void setAcknowledged_byIsSet(boolean value)

    - #### isAcknowledged_by_batchlog

          public boolean isAcknowledged_by_batchlog()

      in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.

    - #### setAcknowledged_by_batchlog

          public TimedOutException setAcknowledged_by_batchlog(boolean acknowledged_by_batchlog)

      in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.

    - #### unsetAcknowledged_by_batchlog

          public void unsetAcknowledged_by_batchlog()

    - #### isSetAcknowledged_by_batchlog

          public boolean isSetAcknowledged_by_batchlog()

      Returns true if field acknowledged_by_batchlog is set (has been assigned a value) and false otherwise

    - #### setAcknowledged_by_batchlogIsSet

          public void setAcknowledged_by_batchlogIsSet(boolean value)

    - #### isPaxos_in_progress

          public boolean isPaxos_in_progress()

      for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

    - #### setPaxos_in_progress

          public TimedOutException setPaxos_in_progress(boolean paxos_in_progress)

      for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

    - #### unsetPaxos_in_progress

          public void unsetPaxos_in_progress()

    - #### isSetPaxos_in_progress

          public boolean isSetPaxos_in_progress()

      Returns true if field paxos_in_progress is set (has been assigned a value) and false otherwise

    - #### setPaxos_in_progressIsSet

          public void setPaxos_in_progressIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TimedOutException._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TimedOutException._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### isSet

          public boolean isSet(TimedOutException._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TimedOutException that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TimedOutException other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TimedOutException>`

    - #### fieldForId

          public TimedOutException._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation